Summary:        General purpose template engine
Name:           python-jinja2
Version:        3.1.4
Release:        5%{?dist}
License:        BSD
URL:            https://palletsprojects.com/p/jinja/
Source0:        https://files.pythonhosted.org/packages/source/J/Jinja2/jinja2-%{version}.tar.gz


Patch0001:      fix-CVE-2024-56201.patch
Patch0002:      fix-CVE-2024-56326.patch
Patch0003:      fix-CVE-2025-27516.patch

BuildArch:      noarch

%description
Jinja2 is a template engine written in pure Python. It provides a
Django inspired non-XML syntax but supports inline expressions and an
optional sandboxed environment.

%package -n     python3-jinja2
Summary:        General purpose template engine
BuildRequires:  python3-devel python3-pytest

%description -n python3-jinja2
Jinja2 is a template engine written in pure Python. It provides a
Django inspired non-XML syntax but supports inline expressions and an
optional sandboxed environment.



%prep
%autosetup -p1 -n jinja2-%{version}
sed -i "s/def teardown/def teardown_method/" tests/test_loader.py

%generate_buildrequires
%pyproject_buildrequires -x i18n


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jinja2

%check
%pytest tests

%files -n python3-jinja2 -f %{pyproject_files}

%changelog
* Mon Mar 17 2025 Feng Weiyao <wynnfeng@tencent.com> - 3.1.4-5
- [Type] security
- [DESC] fix CVE-2025-27516

* Tue Dec 24 2024 Feng Weiyao <wynnfeng@tencent.com> - 3.1.4-4
- [Type] security
- [DESC] fix CVE-2024-56326 and CVE-2024-56201

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.4-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.4-2
- Rebuilt for loongarch release

* Tue Jun 4 2024 Feng Weiyao <wynnfeng@tencent.com> - 3.1.4-1
- [Type] security
- [DESC] update to 3.1.4 to Resolves: CVE-2024-34064

* Mon Feb 19 2024 wynnfeng <wynnfeng@tencent.com> - 3.1.3-1
- Upgrade to 3.1.3 to fix CVE-2024-22195

* Fri Sep 22 2023 kianli <kianli@tencent.com> - 3.1.2-1
- Upgrade to 3.1.2

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.3-6
- Rebuilt for python 3.11

* Wed Sep 13 2023 Shuo Wang <abushwang@tencent.com> - 3.0.3-5
- fix test fail in python3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.3-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Oct 26 2022 Shuo Wang <abushwang@tencent.com> - 3.0.3-1
- initial build

